set(ITKVtkGlue_LOADED 1)
set(ITKVtkGlue_ENABLE_SHARED "1")
set(ITKVtkGlue_DEPENDS "ITKCommon;ITKImageIntensity;ITKVTK")
set(ITKVtkGlue_PUBLIC_DEPENDS "ITKCommon;ITKVTK")
set(ITKVtkGlue_TRANSITIVE_DEPENDS "ITKCommon;ITKImageIntensity;ITKVTK")
set(ITKVtkGlue_PRIVATE_DEPENDS "")
set(ITKVtkGlue_LIBRARIES "ITKVtkGlue")
set(ITKVtkGlue_INCLUDE_DIRS "${ITK_INSTALL_PREFIX}/include/InsightToolkit;/usr/include/vtk;/usr/include;/usr/include/freetype2")
set(ITKVtkGlue_LIBRARY_DIRS "")
set(ITKVtkGlue_RUNTIME_LIBRARY_DIRS "${ITK_INSTALL_PREFIX}/lib/")
set(ITKVtkGlue_TARGETS_FILE "")

set(VTK_DIR "/usr/lib/cmake/vtk")

find_package(VTK NO_MODULE REQUIRED)

if(NOT VTK_VERSION)
  set(VTK_VERSION "6.3.0")
endif()
if(NOT VTK_RENDERING_BACKEND)
  set(VTK_RENDERING_BACKEND OpenGL)
endif()
set(_target_freetypeopengl)
if(TARGET vtkRenderingFreeTypeOpenGL)
  set(_target_freetypeopengl vtkRenderingFreeTypeOpenGL)
endif()

if( 6.3.0 VERSION_LESS 6.0.0 )
  set(ITKVtkGlue_VTK_INCLUDE_DIRS /usr/include/vtk;/usr/include;/usr/include/freetype2;/usr/include/python2.7;/usr/include/libxml2)
  set(ITKVtkGlue_VTK_LIBRARIES vtkIOAMR;vtkFiltersAMR;vtkFiltersGeneral;vtkCommonComputationalGeometry;vtkCommonDataModel;vtkCommonMath;vtkCommonCore;vtksys;vtkCommonMisc;vtkCommonSystem;vtkCommonTransforms;vtkFiltersCore;vtkCommonExecutionModel;vtkParallelCore;vtkIOLegacy;vtkIOCore;/usr/lib/libz.so;/usr/lib/libhdf5.so;/usr/lib/libhdf5_hl.so;/usr/lib/libdl.so;/usr/lib/libm.so;vtkIONetCDF;/lib/libnetcdf_c++.so;/lib/libnetcdf.so;vtkRenderingGL2PS;vtkRenderingContextOpenGL;vtkRenderingContext2D;vtkRenderingCore;vtkCommonColor;vtkFiltersExtraction;vtkFiltersStatistics;vtkImagingFourier;vtkImagingCore;vtkalglib;vtkFiltersGeometry;vtkFiltersSources;vtkRenderingFreeType;/usr/lib/libfreetype.so;vtkftgl;vtkRenderingOpenGL;vtkImagingHybrid;vtkIOImage;vtkDICOMParser;vtkmetaio;/usr/lib/libjpeg.so;/usr/lib/libpng.so;/usr/lib/libtiff.so;/usr/lib/libgl2ps.so;vtkWrappingPythonCore;/usr/lib/libpython2.7.so;vtkWrappingTools;vtkFiltersTexture;vtkFiltersGeneric;vtkFiltersStatisticsGnuR;vtkRenderingVolumeOpenGL;vtkRenderingVolume;vtkIOXML;vtkIOGeometry;vtkIOXMLParser;/usr/lib/libexpat.so;vtkWrappingJava;vtkInfovisLayout;vtkFiltersModeling;vtkInfovisCore;vtkFiltersParallelImaging;vtkFiltersImaging;vtkImagingGeneral;vtkImagingSources;vtkFiltersParallel;vtkIOExodus;vtkexoIIc;vtksqlite;/usr/lib/libxml2.so;vtkGeovisCore;vtkInteractionStyle;vtkInteractionWidgets;vtkFiltersHybrid;vtkRenderingAnnotation;vtkImagingColor;vtkViewsCore;vtkproj4;vtkChartsCore;vtkImagingStatistics;vtkDomainsChemistry;vtkIOParallel;/usr/lib/libjsoncpp.so;vtkLocalExample;vtkGUISupportQtSQL;vtkIOSQL;vtkImagingStencil;vtkFiltersPython;vtkRenderingLOD;vtkViewsContext2D;vtkFiltersVerdict;verdict;vtkGUISupportQtOpenGL;vtkGUISupportQt;vtkRenderingLIC;vtkImagingMorphological;vtkInteractionImage;vtkIOVideo;vtkIOMovie;/usr/lib/libtheoraenc.so;/usr/lib/libtheoradec.so;/usr/lib/libogg.so;vtkIOLSDyna;vtkFiltersProgrammable;vtkRenderingLabel;vtkIOInfovis;vtkIOEnSight;vtkIOPLY;vtkViewsInfovis;vtkIOImport;vtkRenderingQt;vtkRenderingImage;vtkIOMINC;vtkIOParallelXML;vtkFiltersSelection;vtkFiltersHyperTree;vtkImagingMath;vtkFiltersSMP;vtkViewsQt;vtkTestingRendering;vtkTestingIOSQL;vtkFiltersFlowPaths;vtkTestingGenericBridge;vtkViewsGeovis;vtkIOExport;vtkGUISupportQtWebkit)
else()
  set(_wrap_module)
  if(ITK_WRAP_PYTHON AND PYTHON_VERSION_STRING VERSION_LESS 3.0)
    set(_wrap_module vtkWrappingPythonCore)
  endif()
  vtk_module_config(ITKVtkGlue_VTK
    vtkRenderingOpenGL
    vtkRenderingFreeType
    
    vtkInteractionStyle
    vtkIOImage
    vtkImagingSources
    
    )

  set_property(DIRECTORY APPEND PROPERTY COMPILE_DEFINITIONS ${ITKVtkGlue_VTK_DEFINITIONS})
endif()

